{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
<br>
<ul>
    <div class="row">
        <div class="col-md-5" style="">
            <form action="/guardarCurso/" method="post" enctype="multipart/form-data" id="frm_nuevo_curso">
                <center><h1 class="mt-3 mx-2 text-dark"><strong>CURSOS</strong></h1></center>
                {% csrf_token %}

                <b>SELECCIONE LA CARRERA:</b>

                    <br>
                    <select class="form-control" name="idCarreraSEDP"  id="idCarreraSEDP" data-live-search="true" data-live-search-style="startsWith" class="selectpicker"required>
                      <option value=""> Seleccionar la carrera</option>
                      {% for carrera in carreras %}
                      <option value="{{carrera.idCarreraSEDP}}">{{carrera.nombreCarreraSEDP}}</option>
                      {% endfor %}
                    </select>

                    <br>

                <b>NIVEL:</b>
                <input type="text" name="nivelCursoSEDP" value="" id="nivelCursoSEDP" placeholder="Ingrese el nivel" class="form-control" required>
                <br>
                <b>DESCRIPCION:</b>
                <input type="text" name="descripcionCursoSEDP" value="" id="descripcionCursoSEDP" placeholder="Ingrese la descripción" class="form-control" required>
                <br>
                <b>AULA:</b>
                <input type="text" name="aulaCursoSEDP" value="" id="aulaCursoSEDP" placeholder="Ingrese el aula" class="form-control" required>
                <br>
                <div class="mb-3">
    <label for="modalidadCursoSEDP" class="form-label"><b>MODALIDAD:</b></label>
    <select name="modalidadCursoSEDP" id="modalidadCursoSEDP" class="form-select" required>
        <option value="" selected disabled>Seleccione una modalidad</option>
        <option value="presencial">Presencial</option>
        <option value="en_linea">En línea</option>
        <option value="hibrida">Híbrida</option>
        <option value="asincronica">Asincrónica</option>
    </select>
    <div id="modalidadError" class="text-danger"></div>
</div>

                <b>PROMEDIO:</b>
                <input type="number" name="promedioCursoSEDP" value="" id="promedioCursoSEDP" placeholder="Ingrese el promedio" class="form-control" required>
                <br>

                <center>
                    <br>
                    <button type="submit" name="button" class="btn btn-dark">Guardar</button>
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    <button type="submit" name="button" class="btn btn-danger">Cancelar</button>
                </center>
            </form>
        </div>
        <div class="col-md-7">
            <div class="d-flex justify-content-center align-items-center">
                <img class="imagen img-fluid" src="{% static 'img/uni.png' %}" alt="" style="max-width: 800px; height: auto;">
            </div>
            <br>
            <table class="table table-bordered table-striped" id="tbl_cursos">
                <thead class="table-dark">
                    <tr>
                        <th>ID</th>
                        <th>NIVEL</th>
                        <th>DESCRIPCION</th>
                        <th>AULA</th>
                        <th>MODALIDAD</th>
                        <th>PROMEDIO</th>
                        <th>CARRERA</th>
                        <th>ACCIONES</th>
                    </tr>
                </thead>
                <tbody>
                    {% for curso in cursos %}
                    <tr>
                        <td>{{ curso.idCursoSEDP }}</td>
                        <td>{{ curso.nivelCursoSEDP }}</td>
                        <td>{{ curso.descripcionCursoSEDP }}</td>
                        <td>{{ curso.aulaCursoSEDP }}</td>
                        <td>{{ curso.modalidadCursoSEDP }}</td>
                        <td>{{ curso.promedioCursoSEDP }}</td>
                        <td>{{ curso.carreraSEDP.nombreCarreraSEDP }}</td>
                        <td>
                            <a href="/editarCurso/{{ curso.idCursoSEDP }}" class="btn btn-warning">Editar</a>
                            <a href="javascript:void(0)" onclick="eliminarCurso('/eliminarCurso/{{ curso.idCursoSEDP }}');" class="btn btn-danger">Eliminar</a>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            <!-- Agregar una fila para la imagen debajo de la tabla -->
            <br>
        </div>
    </div>
</ul>

<script type="text/javascript">
    function eliminarCurso(url) {
        iziToast.question({
            timeout: 15000,
            close: true,
            overlay: true,
            displayMode: 'once',
            id: 'question',
            zindex: 999,
            title: 'CONFIRMACIÓN',
            message: '¿Está seguro de eliminar el curso seleccionado?',
            position: 'center',
            buttons: [
                ['<button><b>SI</b></button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    window.location.href = url;
                }, true],
                ['<button>NO</button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                }],
            ]
        });
    }
</script>

<<script type="text/javascript">
    $("#frm_nuevo_curso").validate({
        rules:{
            "nivelCursoSEDP": {
                required: true
            },
            "descripcionCursoSEDP": {
                required: true
            },
            "aulaCursoSEDP": {
                required: true
            },
            "modalidadCursoSEDP": {
                required: true
            },
            "promedioCursoSEDP": {
                required: true,
                number: true,
                min: 0,
                max: 10 // Suponiendo que el promedio máximo es 20
            },
            "carreraSEDP": {
                required: true
            }
        },
        messages:{
            "nivelCursoSEDP": {
                required: "Por favor ingrese el nivel del curso"
            },
            "descripcionCursoSEDP": {
                required: "Por favor ingrese la descripción del curso"
            },
            "aulaCursoSEDP": {
                required: "Por favor ingrese el aula del curso"
            },
            "modalidadCursoSEDP": {
                required: "Por favor ingrese la modalidad del curso"
            },
            "promedioCursoSEDP": {
                required: "Por favor ingrese el promedio del curso",
                number: "Ingrese un valor numérico",
                min: "El promedio mínimo es 1",
                max: "El promedio máximo es 10" // Mensaje de validación para el promedio máximo
            },
            "carreraSEDP": {
                required: "Por favor seleccione una carrera"
            }
        }
    });
</script>


<script type="text/javascript">
    $('#tbl_cursos').DataTable({
        "language": {
            "url": "https://cdn.datatables.net/plug-ins/1.10.24/i18n/Spanish.json"
        },
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'pdfHtml5',
                messageTop: 'REPORTE DE CURSOS - DJANGO Y DATATABLES.'
            },
            'print',
            'csv'
        ]
    });
</script>

{% endblock %}
